[ejabberd] Cluster version restrictions.

Tim Stewart tstewart at ciena.com
Wed Jan 9 01:13:22 MSK 2008


Hello everyone,

I think I already know the answer to this question (``don't do it!''),
but I'm curious if it's possible to join an ejabberd 1.1.4 node to an
already-existing cluster of ejabberd 1.1.1 nodes.  I'd like to upgrade
one node at a time and not have to schedule a complete cutover of the
cluster.

I would imagine this is only possible if the mnesia tables have the
same structure between versions and if the data were used in the same
way.  I suppose having the same version of Erlang would be a plus as
well.  If it is possible to run different ejabberd versions in the
same cluster, could someone post some sort of compatibility table, if
they have that information?

Thank you for the assistance, and thanks for a great Jabber server.

-- 
-TimS

Tim Stewart
Lead UNIX Systems Administrator
Ciena Corporation
Alpharetta, GA, USA
tstewart at ciena.com



More information about the ejabberd mailing list